import { AuthServiceService } from './auth-service.service';
import { HttpClient } from '@angular/common/http';
import { Injectable } from '@angular/core';

@Injectable({
  providedIn: 'root'
})
export class ExternalPageService {
  constructor(private http: HttpClient, 
    private authSer: AuthServiceService) { }


  //get header data 
  getHeader(){
    return this.http.get(this.authSer.pathApi + '/main_menu_list');
  }

  //get content data 
  getContentData() {
    return this.http.get(this.authSer.pathApi + '/external_page/1');
  }
}
